Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Apr 2023 16:08:57 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Jim Porter <[email-masked]>,  [email-masked],  "Philip K."
>  <[email-masked]>,  Dmitry Gutov <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  Eli Zaretskii <[email-masked]>,  Lars
>  Ingebrigtsen <[email-masked]>
> Date: Mon, 24 Apr 2023 15:01:59 +0200
> 
>     João> But do you have any suspicion if that is related to upgrade of
>     João> dependencies, or -- more to the point of this bug report --
>     João> to upgrade of :core dependencies?
> 
> `list-packages' seems to get confused about which dependent packages
> need to be uninstalled, and sometimes uninstalls too many (or maybe it
> fails to upgrade them, Iʼm not sure). I then get errors about 'package
> bar requires package foo version 1.12, only found 1.11' or similar.

This could be related to the fact that I see here some packages as
"incompat".  Eglot, Flymake, Project, and others are in that category.